echo "Building project..."

rm -rf ./dist
cd "$(dirname "$0")/../"

echo "Compiling backend..."
npm run build:server

echo "Compiling frontend..."
npm run build:client

echo "Copying client files..."
mkdir -p ./dist/client
cp -r ./src/client/public ./dist/client/public
cp -r ./src/client/views ./dist/client/views

echo "Build complete!"