import DiscordBot from "@bot/bot";

export default class Event {
    readonly client: DiscordBot;
    name!: string;
    once!: boolean;
    
    constructor(client: DiscordBot) {
        this.client = client;
    }

    execute(..._args: unknown[]) {
        throw new Error("No execute override");
    }
}
