import { CommandInteraction } from "discord.js";
import Interaction from "@bot/components/interaction";
import { triggerTask } from "@bot/task";


export default class Trigger extends Interaction {
    name = "trigger";
    description = "Perform a single process of the feeds."

    async execute(interaction: CommandInteraction) {
        await triggerTask(this.client);
        const execTime = Math.abs(Date.now() - interaction.createdTimestamp);
        return interaction.editReply({
            content: `Completed in \`${execTime}ms\``
        });
    }
}
